Bug 1775990 - pylibacl: Remove (sub)packages from Fedora 32+: pylibacl
Summary: pylibacl: Remove (sub)packages from Fedora 32+: pylibacl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pylibacl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcin Zajaczkowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-11-24 10:30 UTC by Miro Hrončok
Modified: 2019-12-03 09:27 UTC (History)
9 users (show)

Fixed In Version: pylibacl-0.5.4-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 09:27:48 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-24 10:30:47 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of pylibacl were marked for removal:

 * pylibacl

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31/30/29, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Marcin Zajaczkowski 2019-11-28 20:40:34 UTC
This project supports Python 3 and has a dedicated module for it. Unfortunately the main module is for Python 2 and removing it probably remove the whole package from Fedora. I plan to refactor the spec file to switch to Python 3 entirely, however, I might not be able to do that in the following 2-3 weeks. Therefor, I propose to extend the period for which this module will be kept in Rawhide and I will work on that in the second part of December. Alternatively, if you have some practice checked in the other project feel free to create a pull request. Thanks.

Comment 2 Marcin Zajaczkowski 2019-11-28 20:45:49 UTC
One more idea. During the weekend I will see at the Linux Autumn conference Dominik Mierzejewski, experienced Fedora developer, so I will try to set up a small hackathon with him to work on that issue. Stay tuned :).

Comment 3 Miro Hrončok 2019-11-28 22:27:27 UTC
I can create the pull request but if you'd prefer to hack with Dominik, I won't.

Comment 5 Marcin Zajaczkowski 2019-12-03 08:37:35 UTC
pylibacl-0.5.4-1.fc32 built in Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=39419382

Comment 6 Zbigniew Jędrzejewski-Szmek 2019-12-03 09:27:48 UTC
It's gone.


Note You need to log in before you can comment on or make changes to this bug.